# @foundation-base/Modal

> Base Modal component for foundation

[![NPM](https://img.shields.io/npm/v/@foundation-base/modal.svg)](https://www.npmjs.com/package/@foundation-base/Modal) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Props

### `template?: ConfirmTemplateType | AlertTemplateType | AlertWithInputTemplateType`:

The `template` prop has to be used if one of the three existing modal designs/templates is to be used

> The existing modal designs/templates are
>
> `confirm-template`\
> `alert-template`\
> `alert-with-input-template`\

```
type ConfirmTemplateType = {
  type: string;     // 'confirm-template'
  title: string;
  label: string;
  onClose?: () => void;
  onSuccess?: () => void;
};

type AlertTemplateType = {
  type: string;     // 'alert-template'
  title: string;
  label: string;
  onClose?: () => void;
  onSuccess?: () => void;
};

type AlertWithInputTemplateType = {
  type: string;     // 'alert-with-input-template'
  title: string;
  dropLabel: string;
  dropOptions: Array<{
    id: number;
    data: string;
    active: boolean;
  }>;
  textLabel: string;
  onClose?: () => void;
  onSuccess?: (formData: { textarea: string; option: string }) => void;
};
```

### `children?: React.ReactElement`

The `children` prop is to be used if a custom built JSX element/React component is to be displayed in the modal

### `onClose?: () => void`

The `onClose` prop is to perform any action on the close of the Modal

## Install

```bash
npm install --save @foundation-base/modal
```

## License

MIT © [lijoejohn](https://github.com/lijoejohn)
